/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { TextStyle, TouchableOpacityProps } from 'react-native';
import { StyledComponentProps } from '../../theme';
export interface SelectOptionType {
    text: string;
    textStyle?: TextStyle;
    disabled?: boolean;
    items?: SelectOptionType[];
}
export interface SelectOptionProps extends StyledComponentProps, TouchableOpacityProps {
    item: SelectOptionType;
    selected: boolean;
    indeterminate?: boolean;
    multi?: boolean;
    onSelect: (item: SelectOptionType) => void;
}
export declare type SelectOptionElement = React.ReactElement<SelectOptionProps>;
export declare const SelectOption: import("../../theme").StyledComponentClass<SelectOptionProps>;
