/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { GestureResponderEvent } from 'react-native';
import { ListProps } from '../list/list.component';
import { SelectOptionType } from './selectOption.component';
export interface SelectOptionsListProps extends Omit<ListProps, 'renderItem'> {
    multiSelect: boolean;
    isOptionSelected: (item: SelectOptionType) => boolean;
    isOptionGroup: (item: SelectOptionType) => boolean;
    onSelect: (option: SelectOptionType, event?: GestureResponderEvent) => void;
}
export declare type SelectOptionsListElement = React.ReactElement<SelectOptionsListProps>;
export declare class SelectOptionsList extends React.Component<SelectOptionsListProps> {
    private renderSingleItem;
    private renderGroupItem;
    private renderItem;
    render(): SelectOptionsListElement;
}
