/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { List, } from '../list/list.component';
import { SelectOption, } from './selectOption.component';
import { SelectGroupOption, } from './selectGroupOption.component';
export class SelectOptionsList extends React.Component {
    constructor() {
        super(...arguments);
        this.renderSingleItem = (info) => {
            return (React.createElement(SelectOption, { item: info.item, multi: this.props.multiSelect, selected: this.props.isOptionSelected(info.item), disabled: info.item.disabled, onSelect: this.props.onSelect }));
        };
        this.renderGroupItem = (info) => {
            return (React.createElement(SelectGroupOption, { item: info.item, multi: this.props.multiSelect, isOptionSelected: this.props.isOptionSelected, onSelect: this.props.onSelect }));
        };
        this.renderItem = (info) => {
            return this.props.isOptionGroup(info.item) ? this.renderGroupItem(info) : this.renderSingleItem(info);
        };
    }
    render() {
        return (React.createElement(List, { style: this.props.style, bounces: false, data: this.props.data, renderItem: this.renderItem }));
    }
}
//# sourceMappingURL=selectOptionsList.component.js.map