import { GestureResponderEvent, NativeScrollEvent, NativeSyntheticEvent, TextInputFocusEventData, TouchableOpacityProps } from 'react-native';
export declare type Override<T, U> = Omit<T, keyof U> & U;
export declare type TouchableIndexedProps = Override<TouchableOpacityProps, {
    onPress?: (index: number, event: GestureResponderEvent) => void;
    onPressIn?: (index: number, event: GestureResponderEvent) => void;
    onPressOut?: (index: number, event: GestureResponderEvent) => void;
    onLongPress?: (index: number, event: GestureResponderEvent) => void;
}>;
export declare type ScrollEvent = NativeSyntheticEvent<NativeScrollEvent>;
export declare type InputFocusEvent = NativeSyntheticEvent<TextInputFocusEventData>;
